StringProperty.Maker (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.properties

## Class StringProperty.Maker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.StringProperty.Maker

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    AFPAttribute
  Enclosing class:
    StringProperty

      public static class StringProperty.Maker
      extends PropertyMaker

  Inner class for making instances of StringProperty

- - ### Property Summary

    - ### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

      `makeNewProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker(int propId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `make(PropertyList propertyList, String value, FObj fo)` Make a new StringProperty object

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertProperty, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker(int propId)

      Parameters:
        `propId` - the id of the property for which a Maker should be created

  - ### Method Detail

    - #### make

          public Property make(PropertyList propertyList,
                               String value,
                               FObj fo)

      Make a new StringProperty object
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `propertyList` - not used
        `value` - String value of the new object
        `fo` - not used
      Returns:
        the StringProperty object

Copyright © 2025 Apache Software Foundation. All rights reserved.